@import url('https://fonts.googleapis.com/css2?family=Nunito+Sans:ital,opsz,wght@0,6..12,200..1000;1,6..12,200..1000&display=swap');

:root {
  --global-paleta1: #e3be43;
  --global-paleta1b: #fefbf2;
  --global-paleta2: #02bcef;
  --global-paleta2b: #f2fbfe;
  --global-paleta3: #049592;
  --global-paleta3b: #f2f9f9;
  --global-paleta4: #4a4cf9;
  --global-paleta4b: #f6f6fe;
  --lt-color-gris-100: #f8f9fc;
  --lt-color-gris-200: #f5f5f5;
  --lt-color-gris-300: #e5e5e5;	
  --lt-color-gris-500: #616161;
  --lt-color-negro-100: #000000bd;
  --lt-color-negro-200: #000000;
  --lt-color-blanco: #fff;
  --h2-verde: #616161;
  --h2-blanco: #616161;
  --h2-rosa: #616161;
  --h2-negro: #616161;
  --h2-amarillo: #616161;;
  --h2-azul: #616161;
  --h2-turquesa: #616161;
  --h2-gris: #616161;
}

body {
  font-family: "Nunito Sans", sans-serif;
  font-size: 1.1rem;
  line-height: 1.5;
  color: var(--lt-color-gris-500);
}
h1, h2, h3, h4, h5, h6 {
  letter-spacing: 0.02rem;
  font-weight: 700
}
a {
  text-decoration: none;
  color: inherit;
}
a:hover {
  color: var(--global-paleta3);
  ;
}
a.page-link {
  font-weight: 700;
  color: var(--global-paleta4);
}
.navbar-light .navbar-nav .nav-link {
    color: var(--lt-color-gris-500);
}
/*SelecciÃ³n de texto*/ 
::-moz-selection { 
  color: var(--lt-color-blanco);
  background: var(--global-paleta4);
}
::selection {
  color: var(--lt-color-blanco);
  background: var(--global-paleta4);
}

/*Fondos*/
.bg-mineria {
  background-image: url('https://minenergia.gov.co/documents/12936/img-banner-mineria-1.jpg');
  background-size: cover;
  background-position: center;
  height: auto;
}
.fondo_pal_1 { background-color: var(--global-paleta1); }
.fondo_pal_1b { background-color: var(--global-paleta1b); }
.fondo_pal_1b .titulo span { color: var(--global-paleta1); }
.fondo_pal_2 { background-color: var(--global-paleta2); }
.fondo_pal_2b { background-color: var(--global-paleta2b); }
.fondo_pal_2b .titulo span { color: var(--global-paleta2); }
.fondo_pal_3 { background-color: var(--global-paleta3); }
.fondo_pal_3b { background-color: var(--global-paleta3b); }
.fondo_pal_3b .titulo span { color: var(--global-paleta3); }
.fondo_pal_4 { background-color: var(--global-paleta4); }
.fondo_pal_4b { background-color: var(--global-paleta4b); }
.fondo_pal_4b .titulo span { color: var(--global-paleta4); }
.fondo_gris_1 { background-color: var(--lt-color-gris-100); }
.fondo_gris_2 { background-color: var(--lt-color-gris-200); }
.fondo_gris_3 { background-color: var(--lt-color-gris-300); }
.fondo_negro_1 { background-color: var(--lt-color-negro-100); }
.fondo_negro_2 { background-color: var(--lt-color-negro-200); }
.fondo_blanco { background-color: var(--lt-color-blanco); }
/**/

/*Fondos*/
.fondo_pal_1 { background-color: var(--global-paleta1); }
.fondo_pal_1b { background-color: var(--global-paleta1b); }
.fondo_pal_1b .titulo span { color: var(--global-paleta1); }
.fondo_pal_2 { background-color: var(--global-paleta2); }
.fondo_pal_2b { background-color: var(--global-paleta2b); }
.fondo_pal_2b .titulo span { color: var(--global-paleta2); }
.fondo_pal_3 { background-color: var(--global-paleta3); }
.fondo_pal_3b { background-color: var(--global-paleta3b); }
.fondo_pal_3b .titulo span { color: var(--global-paleta3); }
.fondo_pal_4 { background-color: var(--global-paleta4); }
.fondo_pal_4b { background-color: var(--global-paleta4b); }
.fondo_pal_4b .titulo span { color: var(--global-paleta4); }
.fondo_gris_1 { background-color: var(--lt-color-gris-100); }
.fondo_gris_2 { background-color: var(--lt-color-gris-200); }
.fondo_gris_3 { background-color: var(--lt-color-gris-300); }
.fondo_blanco { background-color: var(--lt-color-blanco); }
/**/

/*Botones*/
.btn {
  font-weight: 700;
  padding: .5rem 1rem;
  font-size: 1.05rem;
}
.btn:hover {
  filter: brightness(110%);
	  
}
.btn.pal_3 {
  color: #fff;
  background-color: var(--global-paleta3);
  border-color: var(--global-paleta3);
}
.btn.pal_4 {
  color: #fff;
  background-color: var(--global-paleta4);
  border-color: var(--global-paleta4);
}
/**/

/*Modal*/
.modal-header{
  background: var(--global-paleta1);
  color: #FFF;
}
.btn-close{
  background: transparent url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23FFF'%3e%3cpath d='M.293.293a1 1 0 011.414 0L8 6.586 14.293.293a1 1 0 111.414 1.414L9.414 8l6.293 6.293a1 1 0 01-1.414 1.414L8 9.414l-6.293 6.293a1 1 0 01-1.414-1.414L6.586 8 .293 1.707a1 1 0 010-1.414z'/%3e%3c/svg%3e") center/1em auto no-repeat
}
.btn-close:hover{
  opacity: 1;
}
/**/

/*Cabecera logos*/
#cabecera_top .row div img {
  height: 65px;
}
@media (max-width: 768px) {
  #cabecera_top .row div img {
    height: 55px;
  }
}
/**/

/*Cabecera migas de pan*/
#cabecera_sub {
  display: flex;
  align-items: center;
  height: 7rem;
  border: none;
}
#cabecera_sub .titulo {
  font-size: 1.5rem;
}
ol.breadcrumb {
  margin-bottom: 0;
}
ol.breadcrumb li {
  font-size: 0.9rem;
}
/**/

/*Títulos*/
.titulo-mineria{
  border-radius: 15px;
  padding: 4px;
  font-weight: bold;
}
.titulo-amarillo{
  border: 2px solid var(--global-paleta1);
  color: var(--global-paleta1);
}
.titulo-negro{
  border: 2px solid #444;
  color: #444;
}
/**/

/*Cards logros*/
#como-mineria body {
  display: grid;
  place-items: center;
  height: 100vh;
}

#como-mineria .card h2 {
  font-size: 2.25rem;
  font-family: var(--font-title);
  color: var(--white);
  line-height: 1.1;
}

#como-mineria p {
  font-family: var(--font-text);
  font-size: 1rem;
  line-height: 1.5;
  color: var(--white);
}
.flow > * + * {
  margin-top: var(--flow-space, 1em);
}

/* CARD COMPONENT */

#como-mineria .card {
  display: grid;
  place-items: center;
  width: 100%;
  max-width: 100%;
  height: 100%;
  overflow: hidden;
  box-shadow: 0.25rem 0.25rem 0.5rem rgba(0, 0, 0, 0.25);
  border: 0;
  border-radius: 0;
}

#como-mineria .card > * {
  grid-column: 1 / 2;
  grid-row: 1 / 2;
}

.card__background {
  object-fit: cover;
  max-width: 100%;
  height: 100%;
}

.card__content {
  --flow-space: 0.9375rem;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-self: flex-end;
  height: auto;
  padding: 12% 1.25rem 1.875rem;
  background: linear-gradient(
    180deg,
    hsla(0, 0%, 0%, 0) 0%,
    hsla(0, 0%, 0%, 0.3) 10%,
    hsl(0, 0%, 0%) 100%
  );
}

.card__content--container {
  --flow-space: 1.25rem;
}

.card__title {
  position: relative;
  width: fit-content;
  width: -moz-fit-content; /* Prefijo necesario para Firefox  */
}

.card__title::after {
  content: "";
  position: absolute;
  height: 0.3125rem;
  width: calc(100% + 1.25rem);
  bottom: calc((1.25rem - 0.5rem) * -1);
  left: -1.25rem;
  background-color: var(--mme-yellow);
}

.card__button {
  padding: 0.75em 1.6em;
  width: fit-content;
  width: -moz-fit-content; /* Prefijo necesario para Firefox  */
  font-variant: small-caps;
  font-weight: bold;
  border: none;
  background-color: var(--mme-yellow);
  font-family: var(--font-title);
  font-size: 1.125rem;
  color: var(--black);
}

.card__button:focus {
  outline: 2px solid black;
  outline-offset: -5px;
}

@media (any-hover: hover) and (any-pointer: fine) {
  .card__content {
    transform: translateY(62%);
    transition: transform 500ms ease-out;
    transition-delay: 500ms;
    z-index: 1;
  }

  .card__title::after {
    opacity: 0;
    transform: scaleX(0);
    transition: opacity 1000ms ease-in, transform 500ms ease-out;
    transition-delay: 500ms;
    transform-origin: right;
  }

  .card__background {
    transition: transform 500ms ease-in;
  }

  .card__content--container > :not(.card__title),
  .card__button {
    opacity: 0;
    transition: transform 500ms ease-out, opacity 500ms ease-out;
  }

  .card:hover,
  .card:focus-within {
    transform: scale(1.05);
    transition: transform 500ms ease-in;
    z-index: 1;
  }

  .card:hover .card__content,
  .card:focus-within .card__content {
    transform: translateY(0);
    transition: transform 500ms ease-in;
  }

  .card:focus-within .card__content {
    transition-duration: 0ms;
  }

  .card:hover .card__background,
  .card:focus-within .card__background {
    transform: scale(1.3);
  }

  .card:hover .card__content--container > :not(.card__title),
  .card:hover .card__button,
  .card:focus-within .card__content--container > :not(.card__title),
  .card:focus-within .card__button {
    opacity: 1;
    transition: opacity 500ms ease-in;
    transition-delay: 1000ms;
  }

  .card:hover .card__title::after,
  .card:focus-within .card__title::after {
    opacity: 1;
    transform: scaleX(1);
    transform-origin: left;
    transition: opacity 500ms ease-in, transform 500ms ease-in;
    transition-delay: 500ms;
  }
}
/**/

/*TABS y TAB-CONTENT Nueva Ley Minera*/
#ley-minera .nav-link{
  background-color: transparent;
  color: #333;
  transition: 0.5s;
}
#ley-minera .nav-link:focus, #ley-minera .nav-link:hover, #ley-minera .nav-link.active, #ley-minera .nav-pills .show> #ley-minera .nav-link{
  background-color: #FFF!important;
  border: 1px solid #333;
  border-radius: 15px;
}
.ley_minera_tab .nav-link {
  background-color: #FFF;
}
.img-prev-ley-minera{
  max-width: 40px;
  margin-right: 10px;
}
.img-prev-titulo{}
.ley_minera_pane {
  border-color: var(--h2-amarillo);
  background-color: hsl(46 100% 99%);
}
/**/

/*TABS y TAB-CONTENT DISTRITOS VIDA PAZ*/
#distrito-minero .nav-link{
  border: 2px solid #049592;
  color: #049592;
  transition: 0.5s;
}
#distrito-minero .nav-link:focus, #distrito-minero .nav-link:hover, #distrito-minero .nav-link.active, #distrito-minero .nav-pills .show> #distrito-minero .nav-link{
  background-color: #049592!important;
  color: #FFF!important;
  border: 2px solid #049592;
  border-radius: 15px;
}
#distrito-minero .tab-content {
  background-color: var(--global-paleta1);
  color: #000;
  border-radius: 10px;
}
/**/

/*Secciones*/
.seccion_titulo {
  color: #787878;
  margin: 0 0 2rem 0.5rem;
  font-size: 2.5rem;
}
.seccion_titulo span {
  color: var(--global-paleta4);
}
/**/

/*Carruseles*/
@media (min-width: 768px) {
  .carousel-control-next, .carousel-control-prev {
    width: 6%;
  }
}
.carousel-control-next-icon, .carousel-control-prev-icon {
  background-color: var(--global-paleta1);
  border: solid 4px var(--global-paleta1);
  border-radius: 50%;
  background-size: 80%;
}
.carousel-control-next-icon {
  background-position: 70% 50%;
}
.carousel-control-prev-icon {
  background-position: 40% 50%;
}
#carousel_inicio .carousel-control-next-icon, #carousel_inicio .carousel-control-prev-icon {
  background-color: var(--global-paleta4);
  border: solid 4px var(--global-paleta4);
}
.carousel_col_imagen, .carousel_col_leyenda {
  align-items: center;
  display: flex;
}
.carousel_col_leyenda {
  background: #fff;
  margin: 1.2rem -0.6rem 1.2rem 0.6rem;
}
@media (max-width: 1199px) {
  .carousel_col_leyenda {
    margin: 0 0 0 0;
  }
}
.carousel_leyenda {
  padding: 3rem 4rem 3rem 3rem;
}
.carousel_leyenda .titulo {
  line-height: 1.3;
}
.carousel_leyenda .fecha {
  font-size: .9rem;
}
.carousel_leyenda .extracto {
  margin-top: 1rem;
  margin-bottom: 1rem;
}
.carousel_leyenda .btn {
  margin-top: 1rem 0;
  background: var(--global-paleta3);
  color: #fff;
}
/*/Carruseles*/

/*Banners*/
.banner {
  background-size: cover;
  background-position: center center;
  align-items: center;
  display: flex;
}
@media (max-width: 1199px) {
  .banner {
    min-height: 40rem;
  }
}

/*Footer*/
footer{
  background:var(--lt-color-gris-300);
  padding-top: 7rem;
  padding-bottom:  5rem;	
	
}
@media (max-width: 1199px) {
  footer {
  padding-top: 3rem;
  padding-bottom:  3rem;	
  }
}
footer .contenedor{
	padding: 7rem 3rem;
	background-color: var(--global-paleta1);
	text-align: center;
	border-radius:.3rem;
}

@media (max-width: 1199px) {
  footer .contenedor{
	  padding: 3rem;
  }
}

footer h3 {
    font-size: 1.4rem;
}
footer p {
  font-size:1rem;
  margin-bottom:.25rem;
}
footer a, footer .nav-link  {
  color: var(--lt-color-gris-500);
}
footer a.disabled,
footer .nav-link.disabled {
  color: var(--lt-color-gris-500);
}
footer a:hover,
footer a:focus,
footer .nav-link:hover, 
footer .nav-link:focus {
  color: var(--lt-color-gris-500);
}

@media (max-width: 1199px) {
  footer .nav {
  justify-content: center !important;
  margin-right: -2rem !important;
  margin-left: -2rem !important;
  }
}

.social-media {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.social-item {
    display: flex;
    align-items: center;
    gap: 10px;
}

.social-item img {
    width: 32px;
    height: 32px;
}

/**/

/*Fila infogrÃ¡fica*/
.fila_infografia {
  display: flex;
  align-items: stretch;
}
.fila_infografia .col {
  display: flex;
}
.fila_infografia .col .contenedor {
  padding: 2rem;
  border-radius: 1rem;
  position: relative;
}
.fila_infografia .col:not(:last-of-type) .contenedor:after {
  content: '→';
  position: absolute;
  font-size: 2rem;
  color: var(--global-paleta3);
  right: -40px;
  top: 50%;
  transform: translateY(-50%);
}
@media (max-width: 991px) {
  .fila_infografia .col:not(:last-of-type) .contenedor:after {
    content: '→';
    bottom: 5px;
    left: 50%;
    right: 0;
    transform: translateY(100%);
  }
}

.fila_infografia .titulo {
  padding: .5rem 0;
  font-size: 1.5rem;
}
.fila_infografia .titulo span {
  display: block;
  font-size: 3rem;
}
/*/fila infográfica*/

/*Pestañas infografía colores*/	
.tabs_h2color .nav {
    justify-content: space-around;
}
.tabs_h2color .nav-item {
    text-align: left;
    position: relative;
    margin-bottom: 0.5rem;
}
.tabs_h2color .nav-item::before {
    content: '';
    position: absolute;
    width: 46px;
    height: 100%;
    background-size: 32px;
    background-repeat: no-repeat;
    top: 50%;
    transform: translateY(-50%);
    background-position: center;
    z-index: 9;
}
.tabs_h2color .nav-item::before {
    left: 0;
    border-radius: .5rem 0 0 .5rem;
}

.tabs_h2color .nav-item:hover::before {
    animation: rotar-uno 0.6s ease; /* Aplica la animaciÃ³n al hover */
}
@keyframes rotar-uno {
from {
transform: translateY(-50%) rotate(0deg);
}
to {
transform: translateY(-50%) rotate(360deg);
}
}
.tabs_h2color .nav-link {
    width: 365px;/*temporal*/
    padding: 10px;/*temporal*/
    text-align: left;
    background: #fff;
    font-weight: 700;
    border-radius: .5rem;
    font-size: 1.3rem;
    border-style: solid;
    border-width: 0.3rem;
    border-right-width: 0;
    border-top-width: 0;
    border-bottom-width: 0;
}
.tabs_h2color .tab-pane {
	text-align: left;
    background-color: #fff;
    background-repeat: no-repeat;
    background-position: bottom right;
    background-size: 12rem;
    padding: 2rem 2rem 2rem 2rem;
    border-radius: 1rem;
    border-style: solid;
    border-width: .2rem;
    min-height: 30rem;
}

@media (max-width: 778px) {
    .tabs_h2color .tab-pane {
        background-size: 8rem;
        padding: 2rem 2rem 10rem 2rem;
        min-height: auto;
    }
    .tabs_h2color .nav-link {
      width: 300px;
    }
}
.tabs_h2color .tab-pane .titulo {
    padding-left: 40px;
    min-height: 40px;
    background-repeat: no-repeat;
    background-size: 32px;
}

@media (max-width: 778px) {
.tabs_h2color .tab-pane .titulo {
    font-size: 1.4rem;
    padding-top: 0.3rem;
}
}
.tabs_h2color .tab-pane .sub_titulo {
    position: relative;
    font-weight: 400;
    font-size: 1.2rem;
    margin-bottom: 1rem
}
.tabs_h2color .tab-pane p {
    margin-bottom: 1.7rem
}

/*/Colores del hidrógeno*/

/*Tab content (margen izquierdo)*/	
.tabs_h2color_contenido {
  margin: 0 0 0 10%;
}

@media (max-width: 1279px) {
.tabs_h2color_contenido {
  margin: 0 0 0 20%;
}
}

@media (max-width: 991px) {
.tabs_h2color_contenido {
  margin: 5% 0 0 0;
}
}
/*/Pestañas infografía colores*/	

/*Sección de imágenes redondeadas*/
.seccion_ico {
  padding: 8rem 1.5rem;
}
.fila_ico img.rounded-circle {
width: 150px;
height: 150px;
margin: 0 1rem 2rem;
}
.fila_ico .contenedor {
  padding: 0 .7rem;
  max-width: 24rem;
  margin: 0 auto;
}
.fila_ico .titulo {
color: var(--global-paleta3);
font-size: 1.6rem;
}

.fila_ico .btn {
  margin-top: .5rem;
}
#seccion_ico_h2col .fila_ico:nth-of-type(2) {
  max-width: 66%;
  margin: 1.5rem auto 0;
}

/**/

/*Pestañas y acordeones EcoH2*/
.nav-pills .nav-link {
    border-radius: .25rem;
    color: var(--lt-color-gris-500);
    background-color: var(--lt-color-gris-100);
    font-weight: 700;
    text-align: left;
}
.nav-pills .nav-link:focus,.nav-pills .nav-link:hover, 
.nav-pills .nav-link.active, .nav-pills .show>.nav-link {
    color: #fff;
    background-color: var(--global-paleta3)
}
.nav-titulo span {
    color: var(--global-paleta3);
}
.accordion-button:not(.collapsed) {
    color: var(--global-paleta3);
	font-weight:700;
    background-color: var(--global-paleta3b);
}
.accordion-button:focus {
    box-shadow: 0 0 0 .25rem #04959229;
}
.accordion-button {
    font-weight: 700;
}
/**/

/**TIMELINE INICIO**/
.timeline ul {
  --col-gap: 2rem;
  --row-gap: 2rem;
  --line-w: 0.25rem;
  display: grid;
  grid-template-columns: var(--line-w) 1fr;
  grid-auto-columns: max-content;
  column-gap: var(--col-gap);
  list-style: none;
  width: min(60rem, 90%);
  margin-inline: auto;
}

/* line */
.timeline ul::before {
  content: "";
  grid-column: 1;
  grid-row: 1 / span 20;
  background: rgb(225, 225, 225);
  border-radius: calc(var(--line-w) / 2);
}

/* columns*/

/* row gaps */
.timeline ul li:not(:last-child) {
  margin-bottom: var(--row-gap);
}

/* card */
.timeline ul li {
  grid-column: 2;
  --inlineP: 1.5rem;
  margin-inline: var(--inlineP);
  grid-row: span 2;
  display: grid;
  grid-template-rows: min-content min-content min-content;
}

/* fecha */
.timeline ul li .fecha {
  --fechaH: 3rem;
  height: var(--fechaH);
  margin-inline: calc(var(--inlineP) * -1);

  text-align: center;
  background-color: var(--timeline-color);

  color: white;
  font-size: 1.25rem;
  font-weight: 700;

  display: grid;
  place-content: center;
  position: relative;

  border-radius: calc(var(--fechaH) / 2) 0 0 calc(var(--fechaH) / 2);
}

/* fecha flap */
.timeline ul li .fecha::before {
  content: "";
  width: var(--inlineP);
  aspect-ratio: 1;
  background: var(--timeline-color);
  background-image: linear-gradient(rgba(0, 0, 0, 0.2) 100%, transparent);
  position: absolute;
  top: 100%;

  clip-path: polygon(0 0, 100% 0, 0 100%);
  right: 0;
}

/* circle */
.timeline ul li .fecha::after {
  content: "";
  position: absolute;
  width: 2rem;
  aspect-ratio: 1;
  background: var(--bgColor);
  border: 0.3rem solid var(--timeline-color);
  border-radius: 50%;
  top: 50%;

  transform: translate(50%, -50%);
  right: calc(100% + var(--col-gap) + var(--line-w) / 2);
}

/* title descr */
.timeline ul li .title,
.timeline ul li .descr {
  background: var(--bgColor);
  position: relative;
  padding-inline: 1.5rem;
}
.timeline ul li .title {
  overflow: hidden;
  padding-block-start: 1.5rem;
  padding-block-end: 1rem;
  font-weight: 500;
}
.timeline ul li .descr {
  padding-block-end: 1.5rem;
  font-weight: 300;
}

/* shadows */
.timeline ul li .title::before,
.timeline ul li .descr::before {
  content: "";
  position: absolute;
  width: 90%;
  height: 0.5rem;
  background: rgba(0, 0, 0, 0.5);
  left: 50%;
  border-radius: 50%;
  filter: blur(4px);
  transform: translate(-50%, 50%);
}
.timeline ul li .title::before {
  bottom: calc(100% + 0.125rem);
}
.timeline ul li .descr::before {
  z-index: -1;
  bottom: 0.25rem;
}
.timeline .border-item {
  border: 5px solid;
  border-top: 0px;
  border-radius: 0px 0px 15px 15px;
}

@media (min-width: 40rem) {
  .timeline ul {
    grid-template-columns: 1fr var(--line-w) 1fr;
  }
  .timeline ul::before {
    grid-column: 2;
  }
  .timeline ul li:nth-child(odd) {
    grid-column: 1;
  }
  .timeline ul li:nth-child(even) {
    grid-column: 3;
  }

  /* start second card */
  .timeline ul li:nth-child(2) {
    grid-row: 2/4;
  }

  .timeline ul li:nth-child(odd) .fecha::before {
    clip-path: polygon(0 0, 100% 0, 100% 100%);
    left: 0;
  }

  .timeline ul li:nth-child(odd) .fecha::after {
    transform: translate(-50%, -50%);
    left: calc(100% + var(--col-gap) + var(--line-w) / 2);
  }
  .timeline ul li:nth-child(odd) .fecha {
    border-radius: 0 calc(var(--fechaH) / 2) calc(var(--fechaH) / 2) 0;
  }
}
/**TIMELINE FIN**/

/*BUSCADORES Cursos, noticias y ofertas académicas Hidrogeno*/
#seccion_cursos .card{
  border: 2px solid var(--global-paleta1);
  border-radius: 15px;
}
.highlight {
  background-color: yellow; /* Color de resaltado */
}
.line-clamp-2 {
  display: -webkit-box;
  -webkit-line-clamp: 2; /* Limita a 2 líneas */
  -webkit-box-orient: vertical;
  overflow: hidden;
}

/*NUEVO*/
@media (min-width: 768px) {
  .bd-layout {
      display:grid;
      gap: 1rem;
      grid-template-areas: "sidebar main";
      grid-template-columns: 1fr 4fr
  }
}

@media (min-width: 992px) {
  .bd-layout {
      grid-template-columns: 1fr 4fr
  }
}

.bd-sidebar-toggle {
  color: #6c757d
}

.bd-sidebar-toggle:hover,.bd-sidebar-toggle:focus {
  color: #7952b3
}

.bd-sidebar-toggle:focus {
  box-shadow: 0 0 0 3px rgba(121,82,179,0.25)
}

.bd-sidebar-toggle .bi-collapse {
  display: none
}

.bd-sidebar-toggle:not(.collapsed) .bi-expand {
  display: none
}

.bd-sidebar-toggle:not(.collapsed) .bi-collapse {
  display: inline-block
}
@media (max-width: 767.98px) {
  .bd-sidebar {
      margin:0 -.75rem 1rem
  }
}
.bd-sidebar {
  grid-area: sidebar
}
.bd-links {
  overflow: auto;
  font-weight: 600
}

@media (min-width: 768px) {
  .bd-links {
      position:-webkit-sticky;
      position: sticky;
      top: 5rem;
      display: block !important;
      height: calc(90vh - 2rem);
      padding-left: .25rem;
      margin-left: -.25rem;
      overflow-y: auto;
      overflow-x: hidden;
  }
}

@media (max-width: 767.98px) {
  .bd-links>ul {
      padding:1.5rem .75rem;
      background-color: #f8f9fa;
      border-bottom: 1px solid #e9ecef
  }
}

.bd-links a {
  padding: .1875rem .5rem;
  margin-top: .125rem;
  margin-left: 1.25rem;
  color: rgba(0,0,0,0.65);
  text-decoration: none
}

.bd-links a:hover,.bd-links a:focus {
  color: rgba(0,0,0,0.85);
  background-color: rgba(121,82,179,0.1)
}

.bd-links .btn {
  padding: .25rem .5rem;
  font-weight: 600;
  color: rgba(0,0,0,0.65);
  background-color: transparent;
  border: 0
}

.bd-links .btn:hover,.bd-links .btn:focus {
  color: rgba(0,0,0,0.85);
  background-color: rgba(121,82,179,0.1)
}

.bd-links .btn:focus {
  box-shadow: 0 0 0 1px rgba(121,82,179,0.7)
}

.bd-links .btn::before {
  width: 1.25em;
  line-height: 0;
  content: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='rgba%280,0,0,.5%29' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M5 14l6-6-6-6'/%3e%3c/svg%3e");
  transition: transform 0.35s ease;
  transform-origin: .5em 50%
}

@media (prefers-reduced-motion: reduce) {
  .bd-links .btn::before {
      transition: none
  }
}

.bd-links .btn[aria-expanded="true"] {
  color: rgba(0,0,0,0.85)
}

.bd-links .btn[aria-expanded="true"]::before {
  transform: rotate(90deg)
}

.bd-links .active {
  font-weight: 600;
  color: rgba(0,0,0,0.85)
}
.bd-main {
  grid-area: main
}

@media (min-width: 768px) {
  .bd-main {
      display:grid;
      gap: inherit;
      grid-template-areas: "intro" "toc" "content";
      grid-template-rows: auto auto 1fr
  }
}

@media (min-width: 992px) {
  .bd-main {
      grid-template-areas:"intro   toc" "content toc";
      grid-template-rows: auto 1fr
  }
}
.bd-content>h2:not(:first-child) {
  margin-top: 3rem
}

.bd-content>h3 {
  margin-top: 2rem
}

.bd-content>ul li,.bd-content>ol li {
  margin-bottom: .25rem
}

.bd-content>ul li>p~ul,.bd-content>ol li>p~ul {
  margin-top: -.5rem;
  margin-bottom: 1rem
}

.bd-content>.table {
  max-width: 100%;
  margin-bottom: 1.5rem;
  font-size: .875rem
}

@media (max-width: 991.98px) {
  .bd-content>.table {
      display:block;
      overflow-x: auto
  }

  .bd-content>.table.table-bordered {
      border: 0
  }
}

.bd-content>.table th:first-child,.bd-content>.table td:first-child {
  padding-left: 0
}

.bd-content>.table th:not(:last-child),.bd-content>.table td:not(:last-child) {
  padding-right: 1.5rem
}

.bd-content>.table td:first-child>code {
  white-space: nowrap
}
.bd-content {
  grid-area: content;
  min-width: 1px
}